HUGO-IMPORT(1)

NAME

hugo-import - Import your site from others.

SYNOPSIS

hugo import [command] [flags]

DESCRIPTION

Import your site from other web site generators like Jekyll.

Import requires a subcommand, e.g. hugo import jekyll jekyll_root_path target_path.

OPTIONS

-h, --help[=false]
    help for import

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

SEE ALSO

hugo(1), hugo-import-jekyll(1)